org.apache.geode.cache.configuration

## Class CacheConfig.GatewayHub.Gateway.GatewayEndpoint

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayHub.Gateway.GatewayEndpoint

- Enclosing class:
    CacheConfig.GatewayHub.Gateway

      public static class CacheConfig.GatewayHub.Gateway.GatewayEndpoint
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `host`
    `protected java.lang.String` | `id`
    `protected java.lang.String` | `port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayEndpoint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHost()` Gets the value of the host property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.lang.String` | `getPort()` Gets the value of the port property.
    `void` | `setHost(java.lang.String value)` Sets the value of the host property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setPort(java.lang.String value)` Sets the value of the port property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          protected java.lang.String host

    - #### id

          protected java.lang.String id

    - #### port

          protected java.lang.String port

  - ### Constructor Detail

    - #### GatewayEndpoint

          public GatewayEndpoint()

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Gets the value of the host property.
      Returns:
        possible object is `String`

    - #### setHost

          public void setHost(java.lang.String value)

      Sets the value of the host property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPort

          public java.lang.String getPort()

      Gets the value of the port property.
      Returns:
        possible object is `String`

    - #### setPort

          public void setPort(java.lang.String value)

      Sets the value of the port property.
      Parameters:
        `value` - allowed object is `String`